--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Turn encryption on for this record. List all encrypted attributes
- !ruby/struct:SM::Flow::VERB 
  body: "  class Document &lt; ActiveRecord::Base\n                encrypt :title,:body\n        end\n"
- !ruby/struct:SM::Flow::P 
  body: "Include optional option :key, to specify an external KeyHolder, which holds the key used for encrypting and decrypting:"
- !ruby/struct:SM::Flow::VERB 
  body: "  class Document &lt; ActiveRecord::Base\n        belongs_to :user\n        encrypt :title,:body,:key=&gt;:user\n  end\n"
full_name: ActiveCrypto::ClassMethods#encrypt
is_singleton: false
name: encrypt
params: (*attributes)
visibility: public
